[sysadmin/buildstream-management] /: track: don't error if there is nothing to update

Harald Sitter <[email protected]>
Newsgroups gmane.comp.kde.cvs
Message-ID <[email protected]>
Git commit 6b388470822819420a4eb9dea07a21451eb58660 by Harald Sitter.
Committed on 03/08/2026 at 20:30.
Pushed by sitter into branch 'master'.

track: don't error if there is nothing to update

M  +1    -1    track.sh

https://invent.kde.org/sysadmin/buildstream-management/-/commit/6b388470822819420a4eb9dea07a21451eb58660

diff --git a/track.sh b/track.sh
index 035767d..448f2c0 100755
--- a/track.sh
+++ b/track.sh
@@ -22,7 +22,7 @@ bst source track "$@"
 git config user.email "[email protected]"
 git config user.name "KDE CI"
 git add .
-git commit -m "Automatic buildstream source track update"
+git commit -m "Automatic buildstream source track update" || exit 0
 if [ "$YOLO_PUSH_TO_ORIGIN" = "TRUE" ]; then
     git pull --rebase origin "$TARGET_BRANCH"
     git push origin "$TARGET_BRANCH"
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.